Skip to main content
GET
/
tasks
/
scheduled
/
{id}
Get scheduled task
curl --request GET \
  --url https://us.api.flexprice.io/v1/tasks/scheduled/{id} \
  --header 'x-api-key: <api-key>'
import requests

url = "https://us.api.flexprice.io/v1/tasks/scheduled/{id}"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://us.api.flexprice.io/v1/tasks/scheduled/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "connection_id": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "enabled": true,
  "environment_id": "<string>",
  "id": "<string>",
  "job_config": {
    "bucket": "<string>",
    "endpoint_url": "<string>",
    "export_metadata_fields": [
      {
        "field_key": "<string>",
        "column_name": "<string>"
      }
    ],
    "key_prefix": "<string>",
    "region": "<string>",
    "use_path_style": true
  },
  "status": "<string>",
  "tenant_id": "<string>",
  "updated_at": "2023-11-07T05:31:56Z"
}
{
"http_status_code": 123,
"message": "<string>"
}
{
"http_status_code": 123,
"message": "<string>"
}
{
"http_status_code": 123,
"message": "<string>"
}

Authorizations

x-api-key
string
header
required

Enter your API key in the format x-api-key <api-key>*

Path Parameters

id
string
required

Scheduled Task ID

Response

OK

connection_id
string
created_at
string<date-time>
enabled
boolean
entity_type
enum<string>
Available options:
events,
invoice,
credit_topups,
credit_usage,
usage_analytics
environment_id
string
id
string
interval
enum<string>
Available options:
15MIN,
30MIN,
custom,
hourly,
daily
job_config
object
status
string
tenant_id
string
updated_at
string<date-time>